Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
PUT

Update a project

Scope: projects:projects.write https://api.alladdin.com/api/v2/projects/{projectId}

Updates an existing project.

Parameters

Path parameters

projectId string required

Project ID

Request body

object name string

Project name

description string | null

Project description

due_date string<date> | null

Due date in ISO 8601

contact_id string | null

Contact ID

status integer | null

Project status (0–4)

start_date string<date> | null

Start date in ISO 8601 format (YYYY-MM-DD)

billable boolean | null

Whether the project is billable

tags[] string[] | null

List of tags

allow_notifications boolean | null

Whether notifications are enabled

lists[] object[] | null

Project lists

id string required

List ID

key string required

List key

name string required

List name

desc string required

List description

statuses[] string[] | null optional

List statuses

completed boolean | null optional

Whether the list is completed

Request

python
import requests

url = "https://api.alladdin.com/api/v2/projects/{projectId}"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

payload = {
    "name": "string",
    "description": "string",
    "due_date": "2024-01-15",
    "contact_id": "string",
    "status": 0,
    "start_date": "2024-01-15",
    "billable": false,
    "tags": [
        "string"
    ],
    "allow_notifications": false,
    "lists": [
        {
            "id": "string",
            "key": "string",
            "name": "string",
            "desc": "string",
            "statuses": [
                "string"
            ],
            "completed": false
        }
    ]
}
response = requests.put(url, headers=headers, json=payload)
print(response.json())

Responses

Response

json
{
  "id": "string"
}

Success responses

200 Project updated application/json object id string

Error responses

400 Bad request application/json 401 Invalid or missing API key application/json 403 Insufficient permissions application/json 404 Project or contact not found application/json 422 Validation error application/json 429 Rate limit exceeded application/json

← PreviousCreate a project →

Next →Get a project →